=== src/commands/Makefile ===
--- 
+++ 
@@ -8,8 +8,6 @@
 
 top_builddir=../..
 include $(top_builddir)/Makefile.conf
-
-export LD=$(CC)
 
 D:=$(BINPATH)/commands
