=== src/emu-i386/Makefile ===
#
# (C) Copyright 1992, ..., 2004 the "DOSEMU-Development-Team".
#
# for details see file COPYING in the DOSEMU distribution
#

top_builddir=../..
include $(top_builddir)/Makefile.conf

CFILES=cpu.c ports.c do_vm86.c cputime.c


SFILES=
ALL=$(CFILES) $(SFILES)

OBJS=$(CFILES:.c=.o)
#OOBJS=bios.o
DEPENDS=$(CFILES:.c=.d)

include $(REALTOPDIR)/src/Makefile.common

all: lib

install: all
