## dosemu 1.4.0+svn.1828

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
-# (C) Copyright 1992, ..., 2004 the "DOSEMU-Development-Team".
+# (C) Copyright 1992, ..., 2007 the "DOSEMU-Development-Team".
 #
-# for details see file COPYING in the DOSEMU distribution
+# for details see file COPYING.DOSEMU in the DOSEMU distribution
 #
 # Makefile for DOSEMU
 #
@@ -10,12 +10,9 @@
 
 all: default configure src/include/config.h.in
 
-#automatic autoconf tool rebuilds
-configure: configure.ac
-	autoreconf
-
 srcdir=.
 top_builddir=.
+SUBDIR:=.
 -include Makefile.conf
 
 Makefile.conf: $(srcdir)/Makefile.conf.in $(srcdir)/configure $(srcdir)/default-configure
@@ -26,22 +23,22 @@
 	@$(MAKE) -C src $@
 
 dosbin:
-	@$(MAKE) -C src/commands dosbin
+	@$(MAKE) SUBDIR:=commands -C src/commands dosbin
 
 docs:
-	@$(MAKE) -C src/doc all
+	@$(MAKE) SUBDIR:=doc -C src/doc all
 
 docsinstall:
-	@$(MAKE) -C src/doc install
+	@$(MAKE) SUBDIR:=doc -C src/doc install
 
 docsclean:
-	@$(MAKE) -C src/doc clean
+	@$(MAKE) SUBDIR:=doc -C src/doc clean
 
 midid:
-	@$(MAKE) -C src/arch/linux/dosext/sound/midid
+	@$(MAKE) SUBDIR:=arch/linux/dosext/sound/midid -C src/arch/linux/dosext/sound/midid
 
 mididclean:
-	@$(MAKE) -C src/arch/linux/dosext/sound/midid cleanall
+	@$(MAKE) SUBDIR:=arch/linux/dosext/sound/midid -C src/arch/linux/dosext/sound/midid cleanall
 
 dosemu_script:
 	@$(MAKE) -C src dosemu_script
