=== setup/parser/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
-# (C) Copyright 1992, ..., 2004 the "DOSEMU-Development-Team".
+# (C) Copyright 1992, ..., 2007 the "DOSEMU-Development-Team".
 #
-# for details see file COPYING in the DOSEMU distribution
+# for details see file COPYING.DOSEMU in the DOSEMU distribution
 #
 BISON = bison
 LEX   = flex
