=== src/commands/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
-# (C) Copyright 1992, ..., 2004 the "DOSEMU-Development-Team".
+# (C) Copyright 1992, ..., 2007 the "DOSEMU-Development-Team".
 #
-# for details see file COPYING in the DOSEMU distribution
+# for details see file COPYING.DOSEMU in the DOSEMU distribution
 #
 
 SHELL=/bin/bash
@@ -18,6 +18,7 @@
 	$(D)/system.com
 COM2=$(D)/isemu.com $(D)/mgarrot.com $(D)/fossil.com
 SYS=$(D)/emufs.sys $(D)/ems.sys $(D)/cdrom.sys $(D)/dumpconf.sys $(D)/aspi.sys
+OBJS=$(subst $(D)/,,$(COM2:.com=.o) $(SYS:.sys=.o))
 
 # --------------- begin 'tcc via dosemu' --------------------
 # The below are settings to compile the stuff in 'precompiled'
@@ -40,7 +41,7 @@
 #
 #CALLDOS=dos -D-a 2>/dev/null
 CALLDOS=../../bin/$(DOSBIN) -D-a 2>/dev/null
-COMMANDDIR=$(shell pwd -P)
+COMMANDDIR=$(shell pwd)
 BOOTUP=\P2;2\rn
 GOTARGET=lredir k: linux\\fs$(COMMANDDIR)\rk:\r
 DOSINVOKE='video {none} keystroke "$(BOOTUP)$(GOTARGET)COMMAND\rexitemu\r"'
@@ -52,14 +53,14 @@
 
 dosbin: $(COM1) $(COM2) $(SYS)
 
-$(D)/%.sys: %.S detect.h
-	$(LD) $(CPPFLAGS) -traditional -Wa,-a -Wl,-Ttext,0,-e,_start16,--oformat,binary -nostdlib -s -o $*.sys $< > $*.s.out
-	mv $*.sys $@
+ASFLAGS += -traditional -Wa,-a > $*.s.out
+
+$(D)/%.sys: %.o
+	$(LD) -Wl,-Ttext,0,-e,_start16,--oformat,binary -nostdlib -s -o $@ $<
 	chmod -x $@ 
 
-$(D)/%.com: %.S detect.h
-	$(LD) $(CPPFLAGS) -traditional -Wa,-a -Wl,-Ttext,100,-e,_start16,--oformat,binary -nostdlib -s -o $*.com $< > $*.s.out
-	mv $*.com $@
+$(D)/%.com: %.o
+	$(LD) -Wl,-Ttext,100,-e,_start16,--oformat,binary -nostdlib -s -o $@ $<
 	chmod -x $@
 
 precomp: $(PD)/unix.exe $(PD)/cmdline.exe $(PD)/emumouse.exe \
@@ -93,13 +94,13 @@
 precomp1:
 	$(CALLDOS) -I $(subst COMMAND,dir /w,$(DOSINVOKE_KEEP))
 
-clean:
+clean::
 	rm -f *.o *.tmp *.out *.s
 	rm -f $(COM) $(SYS) *.obj *.bak tcconfig.tc tcpick.tcp
 
-realclean: clean
+realclean:: clean
 
 
 install:
 
-
+include $(REALTOPDIR)/src/Makefile.common
