=== src/base/init/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
-# (C) Copyright 1992, ..., 2004 the "DOSEMU-Development-Team".
+# (C) Copyright 1992, ..., 2007 the "DOSEMU-Development-Team".
 #
-# for details see file COPYING in the DOSEMU distribution
+# for details see file COPYING.DOSEMU in the DOSEMU distribution
 #
 
 top_builddir=../../..
@@ -19,7 +19,7 @@
        -Wstrict-prototypes -ansi -pedantic -Wid-clash-31 -Wcast-qual
 #-Wwrite-strings
 
-CFILES = config.c dosemu_c.c global_c.c memcheck.c init.c dev_list.c
+CFILES = config.c dosemu_c.c global_c.c memcheck.c init.c dev_list.c install.c
 LFILES = lexer.l
 YFILES = parser.y
 HFILES = parsglob.h
