=== src/base/sound/Makefile ===
#
# (C) Copyright 1992, ..., 2007 the "DOSEMU-Development-Team".
#
# for details see file COPYING.DOSEMU in the DOSEMU distribution
#

top_builddir=../../..
include $(top_builddir)/Makefile.conf


CFILES = midi.c sndpcm.c nullsnd.c

all: lib

install:

include $(REALTOPDIR)/src/Makefile.common
