## dosemu 1.4.0+svn.1999

=== Makefile ===
--- 
+++ 
@@ -49,6 +49,7 @@
 	rm -f core `find . -name config.cache`
 	rm -f core `find . -name config.status`
 	rm -f core `find . -name config.log`
+	rm -f core `find . -name configure.lineno`
 	rm -f src/include/config.h
 	rm -f src/include/confpath.h
 	rm -f src/include/plugin_*.h
