=== debian/changelog ===
dosemu (1.4.0+svn.1999-2) unstable; urgency=low

  * {rules,control}: switch to dpkg-source 3.0 (quilt) format and dh7.
  * patches/debianize.patch: cleaned up more.
  * patches/spelling-fixes.patch: fix spelling errors pointed out by lintian.
  * patches/manpage-dashes.patch: clean up manpage minus-not-dash errors.
  * dosemu.desktop: drop "Encoding".

 -- Kees Cook <kees@debian.org>  Sun, 20 Jun 2010 20:49:16 -0700

dosemu (1.4.0+svn.1999-1) unstable; urgency=low

  * New upstream version, exported from svn r1999 (Closes: 566595):
    - fix PentiumII use of SSE causing SIGILL.
    - fix CIFS and large file support problems.
  * debian/rules: tweak get-orig-source slightly for better dir name.

 -- Kees Cook <kees@debian.org>  Fri, 29 Jan 2010 10:00:09 -0800

dosemu (1.4.0+svn.1997-1) unstable; urgency=low

  * New upstream version, exported from svn r1997 (Closes: 505247):
    - 04_socalled.diff: dropped, taken upstream (r1907).
    - 05_typos351016.diff: dropped, taken upstream (r1908).
    - 06_case16.diff: dropped, fixed upstream (r1869).
    - 07_next.diff: dropped, taken upstream (r1871).
    - debian/midid.1: dropped, taken upstream (r1872).
  * debian/README.source: added CDBS patching boiler-plate documentation.
  * debian/control:
    - update standards version.
    - make myself maintainer, many thanks to Bart Martens for all the
      great dosemu work!
  * debian/rules: add get-orig-source target for easy svn export, and
    drop debian/README.Debian-source.

 -- Kees Cook <kees@debian.org>  Mon, 14 Dec 2009 19:54:21 -0800

dosemu (1.4.0+svn.1828-3) unstable; urgency=low

  * debian/patches/06_case16.diff: Added.
    Solves crash on AMD Phenom(tm) 9550 processor.  Closes: #524395.
    Patch by Hans Bausewein <hans.bausewein@xs4all.nl>, thanks.
  * debian/patches/07_next.diff: Added.
    Fixes memory allocation issue in handling of xms.  Closes: #494082.
    Patch by Margarita Manterola <margamanterola@gmail.com>, thanks.
  * debian/midid.1, debian/manpages: Added.  Closes: #352266.
    Man page written by Francois Wendling <frwendling@free.fr>, thanks.
  * debian/control: Replaced obsolete xutils in Build-Depends.
  * Fixed debian-copyright-file-uses-obsolete-national-encoding. 

 -- Bart Martens <bartm@debian.org>  Sat, 18 Apr 2009 15:57:38 +0200

dosemu (1.4.0+svn.1828-2) unstable; urgency=low

  * debian/control: Removed dpatch from Build-Depends.
  * debian/menu: Updated for changes in menu policy.
  * debian/rules: No longer installing empty directory.
  * Binary package for architecture amd64.  Closes: #442863.

 -- Bart Martens <bartm@debian.org>  Sun, 03 Feb 2008 09:40:37 +0100

dosemu (1.4.0+svn.1828-1) unstable; urgency=low

  * New upstream version, exported from upstream svn, revision 1828.
  * Includes upstream svn revision 1827, closes: #428578.
  * debian/README.Debian-source: Updated.
  * debian/patches/01_debianize.diff: Updated.
  * debian/control: Added architecture amd64.  Closes: #426920.
  * debian/dirs, debian/rules: Install autoexec.bat and config.sys in
    /etc/dosemu/freedos.  Closes: #429613.

 -- Bart Martens <bartm@knars.be>  Tue, 19 Jun 2007 11:15:48 +0200

dosemu (1.4.0-2) unstable; urgency=low

  * debian/rules: Fix dangling symlink.  Closes: #426856.

 -- Bart Martens <bartm@knars.be>  Thu, 31 May 2007 19:00:44 +0200

dosemu (1.4.0-1) unstable; urgency=low

  * New upstream stable release.  Closes: #352100.
  * debian/*: Switch to cdbs.
  * debian/*: Merging with dosemu-freedos and xfonts-dosemu.
  * debian/control, debian/rules, debian/install: Using imagemagick to resize
    dosemu.xpm to dosemu32x24.xpm for use in debian/menu.
  * debian/copyright: Updated.
  * debian/dosemu.postinst, debian/postrm, debian/preinst: Removed.
  * debian/etc/dosemu.users: Removed.
  * debian/menu: Updated.
  * debian/oldpatches/*: Old patches to be deleted or reused.
  * debian/patches/01_debianize.diff: Added.
  * Removed obsolete patches from debian/patches: 01gcc-4.0, 02slang2,
    06dosemu-dosdrive_d, 07toofast, 08charsets, 09mkdir, 10missingdos,
    11copying, 12patch389878.
  * debian/README.Debian: Edited to delete some obsolete parts.
  * debian/README.Debian-source: Added to explain the .orig.tar.gz file.

 -- Bart Martens <bartm@knars.be>  Wed, 30 May 2007 08:39:17 +0200

dosemu (1.2.2-9) unstable; urgency=low

  * debian/dirs, debian/dosemu.bug, debian/rules: No longer installing the
    reportbug helper, undoing #366208.
  * debian/patches/03dosemu_desktop.dpatch, debian/patches/00list,
    debian/dosemu.desktop, debian/rules: Replaced the dpatch by the plain file
    debian/dosemu.desktop.
  * debian/dosemu.desktop: Fixed.  Closes: #401239.  Patch by Pino Toscano
    <toscano.pino@tiscali.it>, thanks.

 -- Bart Martens <bartm@knars.be>  Fri, 16 Mar 2007 17:04:12 +0100

dosemu (1.2.2-8) unstable; urgency=low

  * debian/control: Fixed typo in "Recommends: xfonts-utils".
  * debian/rules, debian/control: Update config.guess and config.sub.

 -- Bart Martens <bartm@knars.be>  Sat, 25 Nov 2006 12:35:41 +0100

dosemu (1.2.2-7) unstable; urgency=low

  * debian/control: Changed "Depends: xbase-clients (>= 3.3.3.1-5) | xutils,
    xbase-clients (<< 4.0) | xutils" to "Recommends: xfonts-utils".
    Closes: #399620.

 -- Bart Martens <bartm@knars.be>  Tue, 21 Nov 2006 11:01:07 +0100

dosemu (1.2.2-6) unstable; urgency=low

  * debian/patches/12patch389878.dpatch: Added.  Closes: #389878.
  * debian/patches/patch352572.diff: Removed.  Was not used.

 -- Bart Martens <bartm@knars.be>  Thu,  9 Nov 2006 18:52:08 +0100

dosemu (1.2.2-5) unstable; urgency=low

  * debian/control: Build-depends libxt-dev.  Closes: #370021.
  * debian/rules: Use autoconf.
  * configure.ac: Added -L/usr/X11R6/lib to LDFLAGS.

 -- Bart Martens <bartm@knars.be>  Sun,  4 Jun 2006 13:20:29 +0200

dosemu (1.2.2-4) unstable; urgency=low

  * debian/control: Build-depend on newer debhelper version and on
    xfonts-utils, for the new font location /usr/share/fonts/X11.

