=== debian/control ===
Source: dosemu
Section: contrib/otherosfs
Priority: optional
Maintainer: Kees Cook <kees@debian.org>
Standards-Version: 3.8.4
Build-Depends: autoconf, bin86, bison, bsdmainutils, debhelper (>= 7.0.50~), flex, libx11-dev, libxext-dev, libxxf86vm-dev, libice-dev, libslang2-dev, xfonts-utils, libxt-dev, autotools-dev, imagemagick, libgpmg1-dev, libasound2-dev, libsndfile1-dev, libsdl1.2-dev
Homepage: http://www.dosemu.org/

Package: dosemu
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: dosemu-freedos, xfonts-dosemu
Replaces: dosemu-freedos, xfonts-dosemu
Provides: dosemu-freedos, xfonts-dosemu
Description: The Linux DOS Emulator
 DOSEMU is a PC Emulator application that allows Linux to run a DOS
 operating system in a virtual x86 machine. This allows you to run
 many DOS applications.
  - Color text and full keyboard emulation (via hotkeys) via terminal.
  - Built-in X support, includes IBM character set font.
  - Graphics capability at the console with most compatible video cards.
  - DPMI support so you can run DOOM.
  - CDROM support.
  - Builtin IPX and pktdrvr support.
