## dosemu 1.4.0+svn.2010

=== debian/changelog ===
dosemu (1.4.0+svn.2010-1) unstable; urgency=low

  * New upstream version, exported from svn r2008:
    - DPMI cleanups (Closes: 626328, 622632).

 -- Kees Cook <kees@debian.org>  Thu, 12 May 2011 02:28:22 -0700

dosemu (1.4.0+svn.2008-1) unstable; urgency=low

  * New upstream version, exported from svn r2008.
  * add debian/patches/force-vm86-emu.patch: kick $_cpu_emu up to "vm86" so
    dosemu will run on a system with mmap_min_addr > 0 (Closes: 569754).
  * update debian/patches/debianize.patch: do not build redundant mkfatimage.
  * add debian/doc-base.{freecom,cmd}: add doc-base files for HTML docs.
  * debian/rules: update for freedos orig-file split-up.
  * debian/control: standard version bump, no changes needed.
  * debian/control: drop references to Etch-era package replacements.

 -- Kees Cook <kees@debian.org>  Sat, 07 May 2011 05:06:42 -0700
