=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 		--sysconfdir=/etc/dosemu \
 		--with-x11fontdir=/usr/share/fonts/X11/misc/dosemu \
 		--with-syshdimagedir=/var/lib/dosemu \
-		--with-fdtarball=dosemu-freedos-1.0-bin.tgz \
+		--with-fdtarball=freedos/dosemu-freedos-1.0-bin.tgz \
 
 override_dh_auto_install:
 	dh_auto_install -O--parallel
@@ -40,14 +40,13 @@
 	rm -f src/commands/.s.out
 	rm -f etc/dosemu32x24.xpm
 
-VERSION=$(shell  dpkg-parsechangelog | grep ^Version | cut -d+ -f1 | cut -d\  -f2)
+VERSION=$(shell dpkg-parsechangelog | grep ^Version | cut -d+ -f1 | cut -d\  -f2)
 SVN_RELEASE=$(shell dpkg-parsechangelog | grep ^Version | cut -d+ -f2 | cut -d. -f2 | cut -d- -f1)
-ORIG_FILE=$(CURDIR)/../dosemu_$(VERSION)+svn.$(SVN_RELEASE).orig.tar.gz
+ORIG_FILE=$(CURDIR)/../dosemu_$(VERSION)+svn.$(SVN_RELEASE).orig.tar.bz2
 SVN_CO_DIR=$(CURDIR)/dosemu-$(VERSION)+svn.$(SVN_RELEASE)
 get-orig-source:
 	test ! -e $(ORIG_FILE)
 	test ! -e $(SVN_CO_DIR)
 	svn co -r $(SVN_RELEASE) https://dosemu.svn.sourceforge.net/svnroot/dosemu/trunk $(SVN_CO_DIR)
-	cp -a $(CURDIR)/dosemu-freedos-1.0-*.tgz $(SVN_CO_DIR)
-	tar czf $(ORIG_FILE) -C `dirname $(SVN_CO_DIR)` --exclude .svn `basename $(SVN_CO_DIR)`
+	tar cjf $(ORIG_FILE) -C `dirname $(SVN_CO_DIR)` --exclude .svn `basename $(SVN_CO_DIR)`
 	rm -rf $(SVN_CO_DIR)
